# enable_gtkdoc: toggle if gtk-doc stuff should be rebuilt.
#	0 = no
#	1 = yes
%define enable_gtkdoc	0

# End of user configurable section
%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}

%define req_bonobo_activation_version	1.0.0

%define api_version	2
%define lib_major	0

Name:		libbonobo
Summary:	Library for compound documents in GNOME
Version:	2.2.0
Release:	1mdk
License:	LGPL
URL:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	bison libxml2-devel
BuildRequires:	libbonobo-activation-devel >= %{req_bonobo_activation_version}
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif
Requires:	%{name}%{api_version}_%{lib_major} = %{version}-%{release}

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package contains various needed modules and files for bonobo 2
to operate.


%package -n %{name}%{api_version}_%{lib_major}
Summary:	Library for compound documents in GNOME
Group:		%{group}
Requires:	%{name} >= %{version}
Requires:	libbonobo-activation >= %{req_bonobo_activation_version}

%description -n %{name}%{api_version}_%{lib_major}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides libraries to use Bonobo.


%package -n %{name}%{api_version}_%{lib_major}-devel
Summary:	Static libraries, include files and sample code for Bonobo 2
Group:		Development/GNOME and GTK+
# Intentional, the name libbonobo2-devel was already used for bonobo 1.0.x
Provides:	%{name}%{api_version}_x-devel = %{version}-%{release}
Requires:	%{name}%{api_version}_%{lib_major} = %{version}
Requires:	%{name} = %{version}
Requires:	libbonobo-activation-devel >= %{req_bonobo_activation_version}
Requires:	libxml2-devel

%description -n %{name}%{api_version}_%{lib_major}-devel
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model;
it includes demonstration executables and codes as well.


%prep
%setup -q

%build
%configure2_5x

#don't use parallel compilation, it is broken
make
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name}-2.0

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{a,la} \
  $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.{a,la}

%clean
rm -rf %{buildroot}

%post -n %{name}%{api_version}_%{lib_major} -p /sbin/ldconfig

%postun -n %{name}%{api_version}_%{lib_major} -p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc README NEWS AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/idl/*
%dir %{_libdir}/bonobo/monikers
%{_libdir}/bonobo/monikers/*.so*
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo-2.0
%{_libdir}/orbit-2.0/*.so*

%files -n %{name}%{api_version}_%{lib_major}
%defattr(-, root, root)
%doc README NEWS
%{_libdir}/libbonobo*.so.*

%files -n %{name}%{api_version}_%{lib_major}-devel
%defattr(-, root, root)
%doc changes.txt TODO
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/libbonobo*.so
%{_libdir}/libbonobo*.a
%{_libdir}/libbonobo*.la
%{_libdir}/pkgconfig/*

%changelog
* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch0 (merged upstream)

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1
- Regenerate patch1

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.0-2mdk
- Fix dependencies (bug 601)

* Fri Nov 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.0-1mdk
- Release 2.1.0
- Remove patch0 (merged upstream)

* Thu Sep 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-3mdk
- Patch1: Make samples/echo lib64-aware at %%install time.
- Patch0: Fix bogus termination of varargs functions. GType is a long,
  "0" is an integral constant, thus an int of different size.

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Remove provides on libbonobo2-devel, it overlaps with bonobo 1.0.20

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.117.1-1mdk
- Release 1.117.1

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.116.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-1mdk
- Release 1.116.0

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-1mdk
- Release 1.115.0

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- Release 1.113.0

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.112.0-1mdk
- First official Mdk package (based on Abel Cheung work)

* Mon Mar 18 2002 Abel Cheung <maddog@linux.org.hk> 1.112.0-1mdk
- 1.112.0
- Not provide sample program anymore

* Sun Jan 13 2002 Abel Cheung <maddog@linux.org.hk> 1.109.0-1mdk
- 1.109.0

* Mon Jan  7 2002 Abel Cheung <maddog@linux.org.hk> 1.108.0-1mdk
- 1.108.0

* Sat Dec  8 2001 Abel Cheung <maddog@linux.org.hk> 1.107.0-1mdk
- 1.107.0
- Remove all .la files not in $libdir from devel package
- Use configure2_5x to specify build,host,target
- Added hack to define GETTEXT_PACKAGE correctly
- More doc

* Mon Nov 12 2001 Abel Cheung <maddog@linux.org.hk> 1.106.0-1mdk
- 1.106.0
- Corrected BuildConflicts
- Corrected Source URL
- Patch0 merged upstream
- Updated {Build,}Requires
- Rename gettext name, so can really include lang file now
- Move sample programs, idl files and lang file to main package
- Package name renamed from libbonobo2 to libbonobo

* Tue Oct 30 2001 Abel Cheung <maddog@linux.org.hk> 1.103.0-2mdk
- Rebuild for glib 1.3.10
- Bzip2 patch
- More macros
- Don't include static modules in devel packages
- BuildConflicts itself, otherwise may generate faulty packages
- Remove a redundant Requires

* Wed Oct  3 2001 Abel Cheung <maddog@linux.org.hk> 1.103.0-1mdk
- First Mandrake spec, based on bonobo spec
- Patch0: parallel install fix with bonobo 1.0.x
